## firefox 66.0.3+build1

=== testing/awsy/requirements.txt ===
marionette-harness >= 4.0.0
