=== debian/changelog ===
firefox (66.0.3+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (66.0.3build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 10 Apr 2019 12:43:40 +0200

firefox (66.0.2+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (66.0.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 27 Mar 2019 09:48:43 +0100

firefox (66.0.1+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (66.0.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 22 Mar 2019 09:56:55 +0100

firefox (66.0+build3-0ubuntu0.14.04.3) trusty; urgency=medium

  * Do not build the layout style tests to work around a build failure on trusty
    - debian/patches/do-not-build-layout-style-tests.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 22 Mar 2019 08:19:36 +0100

firefox (66.0+build3-0ubuntu0.14.04.2) trusty; urgency=medium

  * Add back a build parameter that was accidentally and unintentionally
    removed in a previous revision (--enable-stdcxx-compat)
    - debian/config/mozconfig.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 17 Mar 2019 22:24:04 +0100

firefox (66.0+build3-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (66.0build3)

  [ Olivier Tilloy ]
  * Re-enable and update debian/patches/unity-menubar.patch
  * Disable unaligned FP accesses emulation on armhf:
    - armhf-disable-unaligned-fp-access-emulation.patch
  * Update build arguments for upstream change that splits the Google
    key management between location services and safe browsing
    (https://bugzilla.mozilla.org/show_bug.cgi?id=1531176):
    - debian/config/mozconfig.in
  * Reduce linker memory usage on armhf:
    - debian/patches/armhf-reduce-linker-memory-use.patch

  [ Rico Tzschichholz ]
  * Use a custom build of nasm >= 2.13.02 (nasm-mozilla)
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Bump build-dep on rustc >= 1.31.0 and cargo >= 0.32
  * Update cbindgen to 0.7.1
    - debian/build/create-tarball.py
  * Fix arm64 build
    - debian/patches/revert-1fce91651f43.patch
  * Update patches
    - debian/patches/reduce-rust-debuginfo-on-selected-architectures.patch
    - debian/patches/ppc-no-static-sizes.patch
    - debian/patches/partially-revert-google-search-update.patch
  * Drop upstreamed patches
    - remove debian/patches/dont-treat-tilde-as-special.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 15 Mar 2019 10:34:49 +0100

firefox (65.0.2+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (65.0.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 28 Feb 2019 13:14:49 +0100

firefox (65.0.1+build2-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (65.0.1build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 15 Feb 2019 00:58:30 +0100

firefox (65.0+build2-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (65.0build2)

  [ Olivier Tilloy ]
  * Fix build with newer versions of cargo, which ignore local configuration
    (see https://github.com/rust-lang/cargo/issues/6397)
    - update debian/build/rules.mk
  * Re-enable and update debian/patches/unity-menubar.patch

  [ Rico Tzschichholz ]
  * Drop upstreamed patches
    - remove debian/patches/fix-pixman-build-ppc64el.patch
    - remove debian/patches/extra-webrtc-build-configs.patch
    - remove debian/patches/update-gn-mozbuild.patch
  * Update patches
    - debian/patches/rust-drop-dll-checksums.patch
    - debian/patches/webrtc-fix-compiler-flags-for-armhf.patch
    - debian/patches/fix-armhf-webrtc-build.patch
    - debian/patches/no-region-overrides-for-google-search.patch
    - debian/patches/ppc-no-static-sizes.patch
    - debian/patches/ubuntu-ua-string-changes.patch
  * Bump build-dep on rustc >= 1.30.0 and cargo >= 0.31
  * Use amazon-in override for "gu-IN", "mai", "ml", "pa-IN", "ta"
    - update debian/config/searchplugins.conf
  * Revert parts of google search update
    - add debian/patches/partially-revert-google-search-update.patch
  * Build with --enable-rust-simd (LP: #1808980) (except on i386 and armhf)
    - update debian/config/mozconfig.in
  * Update cbindgen to 0.6.8
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 28 Jan 2019 17:59:02 +0100

firefox (64.0.2+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (64.0.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 09 Jan 2019 18:11:15 +0100

firefox (64.0+build3-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (64.0build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 07 Dec 2018 23:26:53 +0100

firefox (64.0+build1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream stable release (64.0build1)

  [ Olivier Tilloy ]
  * Do not attach Wi-Fi syslog to apport reports (LP: #1801383)
    - update debian/apport/source_firefox.py.in
  * Update debian/patches/unity-menubar.patch
  * Use a custom build of Node.js (nodejs-mozilla), as it is now a required
    build dependency
    - update debian/config/mozconfig.in
    - update debian/control{,.in}

  [ Rico Tzschichholz ]
  * Explicitly set HOME=/tmp
    - update debian/build/rules.mk
  * Bump build-dep on rustc >= 1.29.0 and cargo >= 0.30
    - update debian/control{,.in}
  * Bump cbindgen dependency to 0.6.7
    - update debian/build/create-tarball.py
  * Ship removed onboarding watermark.svg to keep using it as symbolic icon
    - add debian/symbolic.svg
    - update debian/build/rules.mk
  * Drop upstreamed patches
    - remove debian/patches/fix-armhf-aom-build.patch
  * Update patches
    - update debian/patches/dont-treat-tilde-as-special.patch
    - update debian/patches/drop-check-glibc-symbols.patch
    - update debian/patches/update-gn-mozbuild.patch


