## firefox 66.0.4~mozillabinaries

=== debian/changelog ===
firefox (66.0.4~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 06 May 2019 12:49:39 -0700
