## firefox 66.0.5~mozillabinaries

=== debian/changelog ===
firefox (66.0.5~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 07 May 2019 15:44:31 -0700
