## firefox 67.0~mozillabinaries

=== debian/changelog ===
firefox (67.0~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 21 May 2019 12:36:01 -0700
