## firefox 67.0.1~mozillabinaries

=== debian/changelog ===
firefox (67.0.1~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 04 Jun 2019 06:32:44 -0700
