## firefox 67.0.2~mozillabinaries

=== debian/changelog ===
firefox (67.0.2~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 10 Jun 2019 18:07:35 -0700
