## firefox 67.0.3~mozillabinaries

=== debian/changelog ===
firefox (67.0.3~mozillabinaries-1mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 18 Jun 2019 13:36:40 -0700

firefox (67.0.3~mozillabinaries-1mx19+1) mx; urgency=medium

  * Repackaged for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 18 Jun 2019 13:34:36 -0700
