## firefox 67.0.4~mozillabinaries

=== debian/changelog ===
firefox (67.0.4~mozillabinaries-1mx15+2) mx; urgency=medium

  * New bookmarks to include MX Linux Blog.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 29 Jun 2019 18:49:30 -0700

firefox (67.0.4~mozillabinaries-1mx17+2) mx; urgency=medium

  * New bookmarks to include the MX Linux Blog.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 29 Jun 2019 18:45:08 -0700

firefox (67.0.4~mozillabinaries-1mx17+1) mx; urgency=medium

  * New upstream release.
  * Add various versions of libavcodec as alternate dependencies for media
    playback.
  * Also provides www-browser.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Jun 2019 14:05:43 -0700

firefox (67.0.3~mozillabinaries-1mx15+1) mx; urgency=medium

  * Repackaged for MX-15/16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 18 Jun 2019 13:39:53 -0700
