## firefox 68.0~mozillabinaries

=== debian/changelog ===
firefox (68.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Repackaged for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 09 Jul 2019 13:04:19 -0700

firefox (67.0.4~mozillabinaries-1mx19+3) mx; urgency=medium

  * Added adobe-flashplugin to Recommends.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 29 Jun 2019 18:45:08 -0700
