## firefox 68.0+build3

=== debian/changelog ===
firefox (68.0+build3-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (68.0build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 06 Jul 2019 12:51:53 +0200

firefox (68.0+build2-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (68.0build2)

  * Update exclusion patterns to remove outdated entries and to trim down the
    final size of the source tarball
    - debian/config/tarball.conf

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 05 Jul 2019 11:11:41 +0200

firefox (68.0+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (68.0build1)

  [ Olivier Tilloy ]
  * Update debian/patches/unity-menubar.patch
  * Work around a GGC bug on i386 and s390x (https://gcc.gnu.org/PR90756)
    - debian/patches/skcms-workaround-gcc-bug.patch
  * New firefox-geckodriver package (LP: #1831204)
  * Stop building firefox-testsuite (LP: #1805019)
  * Port chromium-browser's autopkgtests to firefox (LP: #1831454)

  [ Rico Tzschichholz ]
  * Update patches
    - debian/patches/mark-distribution-search-engines-as-read-only.patch
    - debian/patches/no-region-overrides-for-google-search.patch
    - debian/patches/partially-revert-google-search-update.patch
    - debian/patches/ppc-no-static-sizes.patch
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/ubuntu-ua-string-changes.patch
  * Bump build-dep on rustc >= 1.34.0 and cargo >= 0.35
    - debian/control{,.in}
  * Update cbindgen to 0.8.7
    - debian/build/create-tarball.py
  * Update locales, remove 'as', 'mai', 'ml' and 'or'
  * Update debian/config/searchplugins.conf
  * Follow change of location of list.json for searchplugins
    - debian/rules

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 02 Jul 2019 11:21:13 +0200

firefox (67.0.4+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0.4build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 20 Jun 2019 11:12:31 +0200

firefox (67.0.3+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0.3build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 18 Jun 2019 19:21:34 +0200

firefox (67.0.2+build2-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0.2build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 11 Jun 2019 12:08:03 +0200

firefox (67.0.2+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 06 Jun 2019 09:40:46 +0200

firefox (67.0.1+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 30 May 2019 11:04:58 +0200

firefox (67.0+build2-0ubuntu0.18.10.2) cosmic; urgency=medium

  * No-change rebuild to fix the BuildID ordering between the same version of
    firefox on all supported Ubuntu releases (LP: #1830096)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 23 May 2019 12:57:55 +0200

firefox (67.0+build2-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 17 May 2019 15:50:27 +0200

firefox (67.0+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (67.0build1)

  [ Olivier Tilloy ]
  * Re-enable and update debian/patches/unity-menubar.patch

  [ Rico Tzschichholz ]
  * Update patches
    - debian/patches/partially-revert-google-search-update.patch
    - debian/patches/mark-distribution-search-engines-as-read-only.patch
    - debian/patches/support-coinstallable-trunk-build.patch
    - debian/patches/cleanup-old-distribution-search-engines.patch
    - debian/patches/ubuntu-ua-string-changes.patch
    - debian/patches/armhf-disable-unaligned-fp-access-emulation.patch
  * Bump build-dep on rustc >= 1.32.0 and cargo >= 0.33
  * Update cbindgen to 0.8.4
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 14 May 2019 18:47:59 +0200

firefox (66.0.5+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (66.0.5build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 08 May 2019 09:00:58 +0200

firefox (66.0.4+build3-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (66.0.4build3) (LP: #1827727)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 06 May 2019 11:42:56 +0200

firefox (66.0.3+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (66.0.3build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 10 Apr 2019 12:27:13 +0200

firefox (66.0.2+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (66.0.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 27 Mar 2019 09:40:15 +0100

firefox (66.0.1+build1-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (66.0.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 22 Mar 2019 09:54:48 +0100

firefox (66.0+build3-0ubuntu0.18.10.1) cosmic; urgency=medium

  * New upstream stable release (66.0build3)

  [ Olivier Tilloy ]
  * Re-enable and update debian/patches/unity-menubar.patch
  * Disable unaligned FP accesses emulation on armhf:
    - armhf-disable-unaligned-fp-access-emulation.patch
  * Update build arguments for upstream change that splits the Google
    key management between location services and safe browsing
    (https://bugzilla.mozilla.org/show_bug.cgi?id=1531176):
    - debian/config/mozconfig.in
  * Reduce linker memory usage on armhf:
    - debian/patches/armhf-reduce-linker-memory-use.patch

  [ Rico Tzschichholz ]
  * Bump build-dep to clang-7 and llvm-7-dev
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Add build-dep on nasm (>= 2.13.02)
    - debian/control{,.in}
  * Bump build-dep on rustc >= 1.31.0 and cargo >= 0.32

