## firefox 68.0.1~mozillabinaries

=== debian/changelog ===
firefox (68.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Repackaged for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 18 Jul 2019 13:29:04 -0700
