## firefox 68.0.2~mozillabinaries

=== debian/changelog ===
firefox (68.0.2~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 14 Aug 2019 15:55:04 -0700
