## firefox 69.0~mozillabinaries

=== debian/changelog ===
firefox (69.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 02 Sep 2019 15:42:33 -0700
