## firefox 69.0.1~mozillabinaries

=== debian/changelog ===
firefox (69.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * New upstream release.
  * 
 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Sep 2019 12:09:19 -0700
