## firefox 69.0.2~mozillabinaries

=== debian/changelog ===
firefox (69.0.2~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 04 Oct 2019 15:28:39 -0700
