## firefox 69.0.2+build1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.cosmic
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.eoan
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 9),
@@ -37,10 +37,10 @@
 	xvfb,
 	python (>= 2.7),
 	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
-	clang-7,
-	llvm-7-dev,
-	cargo (>= 0.35),
-	rustc (>= 1.34.0),
+	clang,
+	llvm-dev,
+	cargo (>= 0.36),
+	rustc (>= 1.35.0),
 	nodejs (>= 8.11)
 Standards-Version: 3.9.1
 
@@ -129,17 +129,6 @@
 
 # Transitional packages below here
 
-# Can be dropped after 14.04
-Package: firefox-globalmenu
-Architecture: any
-Section: oldlibs
-Priority: extra
-Depends: firefox,
-	${misc:Depends}
-Description: Safe and easy web browser from Mozilla (transitional package)
- This is a transitional package to ensure that upgrades work correctly.
- It can be safely removed
-
 # Language packs below here
 
 Package: firefox-locale-af
@@ -411,3 +400,13 @@
 Conflicts: ${app:Conflicts}
 Provides: ${app:Provides}
 Description: French language pack for Firefox
+ This package contains French translations and search plugins
+ for Firefox
+
+Package: firefox-locale-fy
+Architecture: any
+Depends: ${misc:Depends}
+Replaces: language-pack-fy-base
+Conflicts: ${app:Conflicts}
+Provides: ${app:Provides}
+Description: Western Frisian language pack for Firefox
