=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,6 @@
 	debian/apport/blacklist \
 	debian/apport/native-origins \
 	debian/apport/source_$(MOZ_PKG_NAME).py \
-	debian/testing/run_mochitest \
-	debian/testing/run_reftest \
 	$(NULL)
 
 MOZ_APPNAME_SUBST_FILES = \
@@ -51,13 +49,6 @@
 endif
 
 include $(CURDIR)/debian/build/rules.mk
-
-#MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_mochitest \
-						$(MOZ_LIBDIR)/testing/run_reftest \
-						$(MOZ_LIBDIR)/testing/run_xpcshell_tests \
-						$(MOZ_LIBDIR)/xpcshell \
-						$(MOZ_LIBDIR)/testing/filter_results \
-						$(NULL)
 
 debian/usr.bin.firefox.in:
 	if [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1410' ]; then \
@@ -86,7 +77,7 @@
 
 install-distribution-searchplugins-IMPL-%:
 	$(foreach lang,$(call locales_for_langpack,$*), \
-		python debian/install-distribution-searchplugins.py -c debian/config/searchplugins.conf -l $(lang) -u $(MOZ_DISTDIR)/bin/browser/chrome/browser/searchplugins -d debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/$(lang) -s debian/searchplugins;)
+		python debian/install-distribution-searchplugins.py -c debian/config/searchplugins.conf -l $(lang) -u browser/components/search/extensions -d debian/$*/$(MOZ_LIBDIR)/distribution/searchplugins/locale/$(lang) -s debian/searchplugins;)
 
 clean::
 	rm -f debian/usr.bin.firefox.in
