=== debian/tests/control ===
Tests: firefox-version, html5test
Depends: firefox, firefox-geckodriver, python3-apt, python3-selenium
Restrictions: allow-stderr
