## firefox 69.0.3~mozillabinaries

=== debian/changelog ===
firefox (69.0.3~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 11 Oct 2019 13:49:09 -0700
