## firefox 70.0~mozillabinaries

=== debian/changelog ===
firefox (70.0~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 21 Oct 2019 17:03:59 -0700
