## firefox 70.0.1~mozillabinaries

=== debian/changelog ===
firefox (70.0.1~mozillabinaries-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 31 Oct 2019 08:28:38 -0700
